Bug 790478 - Headpin cli product list returns no products when products exist.
Headpin cli product list returns no products when products exist.
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
urgent Severity urgent
: rc
: 1.0
Assigned To: Bryan Kearney
SAM QE List
:
Depends On:
Blocks: 703617
  Show dependency treegraph
 
Reported: 2012-02-14 11:18 EST by Eric Sammons
Modified: 2012-04-26 20:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
katello-headpin-all-0.1.135-2.el6.noarch
Last Closed: 2012-04-26 20:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Shows Products exist (25.74 KB, image/png)
2012-02-14 11:18 EST, Eric Sammons
no flags Details

  None (edit)
Description Eric Sammons 2012-02-14 11:18:06 EST
Created attachment 561955 [details]
Shows Products exist

Description of problem:
Running product list from the headpin cli produces no results; however, viewing through the webui shows products/ subscriptions do exist.

Reproducer:
$ headpin -u admin -p admin shell
headpin> product list --org ACME_Corporation --environment DEV

Expected Results:
Products should be listed (see webui)

Actual Results:

headpin> product list --org ACME_Corporation --environment DEV
--------------------------------------------------------------------------------
       Product List For Organization ACME_Corporation, Environment 'DEV'

 Id   Name   Provider Id   Provider Name   Sync Plan Name   GPG key  
--------------------------------------------------------------------------------
Comment 6 Tom McKay 2012-02-27 09:34:05 EST
Fixed in HTB#6
katello-headpin-0.1.140-3 or later

Note You need to log in before you can comment on or make changes to this bug.